From: <a href="/blend/av.cgi?id=1980">ItsDanGuy</a><BR>
Date: 15 May 2017<P>

The internet moves fast.  A lot has happened since 2002, and more or less this website seems to still be firmly rooted in that early mindset with the likes of websites like craigslist.<BR>
<BR>
But I don't think it's necessarily about keeping up with design trends or anything.  The internet seems to have just been more receptive to these isolated niche communities back then.  A site similar to this, Land of Broken Dreams, had dwindled to nothing when efforts were made to modernize it for the times to very little effect - and now it's dead.<BR>
<BR>
the closest thing today that's mainstream is probably Tumblr, but partly because it doesn't cater to any specific medium.  There are large sub-communities for pretty much everything on there, but it does seem to be much more artist oriented than any other social network.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 15 May 2017<P>

thanks for the pick Kirk.<BR>
I understand what you mean when you say  mixed-feeling milestone. There used to be so many poems back in the day, constant submissions and conversations on the message board. I love this place too much to leave, will be a part of whatever you plan to do with it if changes are coming. Good luck!
<HR>